
Name:    kasablanca
Summary: Graphical FTP client
Version: 0.4.0.2
Release: 9%{?dist}

License: GPL
Url: 	 http://kasablanca.berlios.de/ 
Source:	 http://download.berlios.de/kasablanca/kasablanca-%{version}.tar.gz
Group: 	 Applications/Internet 
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: kasablanca-0.4.0.2-dt.patch

BuildRequires: gettext 
BuildRequires: desktop-file-utils
BuildRequires: openssl-devel
BuildRequires: kdelibs-devel

%description
Kasablanca is an ftp client for KDE, among its features are currently: 
* ftps encryption via AUTH TLS
* fxp (direct server to server transfer), supporting alternative mode.
* advanced bookmarking system.
* fast responsive multithreaded engine.
* concurrent connections to multiple hosts.
* interactive transfer queue, movable by drag and drop.
* small nifty features, like a skiplist.


%prep
%setup -q 

%patch1 -p1 -b .dt


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

# Needed(?) for older/legacy setups, harmless otherwise
if pkg-config openssl ; then
  export CPPFLAGS="$CPPFLAGS $(pkg-config --cflags-only-I openssl)"
fi

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --vendor="" \
  --add-category="X-Fedora" \
  --add-category="Network" \
  --add-category="Application" \
  --add-category="KDE" \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/*/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
rm -rf $RPM_BUILD_ROOT 


%post
for icon_theme in hicolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done

%postun 
for icon_theme in hicolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/kasablanca/
%config %{_datadir}/config*/*
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-9
- fc6 respin

* Thu Apr 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-8
- --vendor: fedora -> kde

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Jan 19 2006 Rex Dieter <rexdieter[AT]usrs.sf.net> 0.4.0.2-7
- drop x-modular hack(s) (kdelibs-devel fixed)
- .desktop: GenericName=FTP client
- update %%description

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-6
- fix for modular X
- workaround kdelibs-devel missing deps (#176159)

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-5
- %%post/%%postun: nicer icon bits

* Wed Nov 16 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-4 
- rebuild for new openssl (fc5)

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-3
- abs->relative symlinks
- simplify configure
- --add-category Application

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-2
- %%post,%%postun: gtk-update-icon-cache
- drop CVS tags
- drop %%{?debug_package}

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-1
- cleanup for Extras

* Thu Mar 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-0.1.kde
- 0.4.0.2 

